Subject: Re: bug#66394: 29.1; Make register-read-with-preview more useful

From: Eli Zaretskii <[email-masked]>
Date: Thu, 30 Nov 2023 08:00:20 +0200

> From: Thierry Volpiatto <[email-masked]>
> Cc: [email-masked],  [email-masked],
>   [email-masked],  [email-masked]
> Date: Wed, 29 Nov 2023 18:18:40 +0000
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > The response "a" to the "Point to register:" question is something I
> > needed to type;
> 
> Of course we are using now read-from-minibuffer and the test is related
> to read-key not quitting with C-g
> 
> > previously the test never asked any questions (and it shouldn't,
> > AFAIU).
> 
> Yes, it shouldn't, but now we are using a real minibuffer, is this test
> really needed?
> It is like if you had to make tests in all functions using
> read-from-minibuffer to check if it quit properly with C-g (it does of course).

Can we have a similar issue with read-from-minibuffer?  Not with C-g,
but with some other invalid input, like some function key or non-ASCII
character or invalid character codepoint?  If this cannot happen, then
perhaps the whole test file should be removed?

Anyway, I trust you to do what is needed here, I just want the test
suite to keep running successfully, and I don't have time to work on
this myself.  TIA.

> ALSO: I intentionally leave register-preview-delay defcustom with a FIXME
> comment, do you want to remove it? It is not used anymore now AFAIK.

This should be declared obsolete, with an explanation that it is no
longer used, and a note about that should be added to NEWS, in the
incompatible changes section.  Then we can remove the FIXME.

Thanks.